FixedPartitionAttributesData (Apache Geode 1.15.4)

org.apache.geode.management

## Class FixedPartitionAttributesData

- java.lang.Object
- - org.apache.geode.management.FixedPartitionAttributesData

-     public class FixedPartitionAttributesData
      extends Object

  Composite date type used to distribute the fixed partition attributes for a `Region`.
  Since:
    GemFire 7.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FixedPartitionAttributesData(String name, boolean primary, int numBucket)` This constructor is to be used by internal JMX framework only.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getName()` Returns the name of the partition.
    `int` | `getNumBucket()` Returns the number of buckets allowed for the partition.
    `boolean` | `isPrimary()` Returns whether this member is the primary for the partition.
    `String` | `toString()` String representation of FixedPartitionAttributesData

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FixedPartitionAttributesData

          @ConstructorProperties(value={"name","primary","numBucket"})
          public FixedPartitionAttributesData(String name,
                                                                                                           boolean primary,
                                                                                                           int numBucket)

      This constructor is to be used by internal JMX framework only. User should not try to create an instance of this class.
      Parameters:
        `name` - the name of the partition
        `primary` - whether this member is the primary for the partition
        `numBucket` - the number of buckets allowed for the partition

  - ### Method Detail

    - #### getName

          public String getName()

      Returns the name of the partition.
      Returns:
        the name of the partition

    - #### isPrimary

          public boolean isPrimary()

      Returns whether this member is the primary for the partition.
      Returns:
        True if this member is the primary, false otherwise.

    - #### getNumBucket

          public int getNumBucket()

      Returns the number of buckets allowed for the partition.
      Returns:
        the number of buckets allowed for the partition

    - #### toString

          public String toString()

      String representation of FixedPartitionAttributesData
      Overrides:
        `toString` in class `Object`